path: /build/build/tcsh-app-shells-6.24.14.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge app-shells/tcsh -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps app-shells/tcsh && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/tcsh && \
    luet-portage --dir /pkgdir/tcsh app-shells/tcsh && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree:3f5491c18ef5979be2517d8503aedea9311622c8da962572c72b1b254e3a7ebb
  package:
    name: tcsh
    version: 6.24.14
    category: app-shells
    use_flags:
    - -doc
    requires:
    - name: macaroni-funtoo-race12
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Enhanced version of the Berkeley C shell (csh)
    uri:
    - https://www.tcsh.org/
    license: BSD
    buildtimestamp: 2025-01-25 23:53:20.496778752 +0000 UTC m=+81.766669216
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      DEPEND: '>=sys-libs/ncurses-5.1:0= sys-libs/libxcrypt virtual/libiconv sys-devel/gettext
        doc? ( dev-lang/perl )'
      IUSE: nls doc
      RDEPEND: '>=sys-libs/ncurses-5.1:0= sys-libs/libxcrypt virtual/libiconv'
      emerge.packages: app-shells/tcsh
      kit: core-kit
      original.package.name: app-shells/tcsh
      original.package.slot: "0"
      original.package.version: 6.24.14
    treedir: /build/packages
  package_dir: /pkgdir/tcsh
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: dc6e5333c84c3635dad90624bd8513c1d41736f806d615d095ce3e43606b6f11
compressiontype: zstd
files:
- bin/csh
- bin/tcsh
- etc/csh.cshrc
- etc/csh.login
- usr/share/doc/tcsh-6.24.14/FAQ.bz2
- usr/share/doc/tcsh-6.24.14/Fixes.bz2
- usr/share/doc/tcsh-6.24.14/Ported.bz2
- usr/share/doc/tcsh-6.24.14/README.md.bz2
- usr/share/doc/tcsh-6.24.14/WishList.bz2
- usr/share/doc/tcsh-6.24.14/Y2K.bz2
- usr/share/locale/C/LC_MESSAGES/tcsh.cat
- usr/share/locale/de/LC_MESSAGES/tcsh.cat
- usr/share/locale/el/LC_MESSAGES/tcsh.cat
- usr/share/locale/es/LC_MESSAGES/tcsh.cat
- usr/share/locale/et/LC_MESSAGES/tcsh.cat
- usr/share/locale/fi/LC_MESSAGES/tcsh.cat
- usr/share/locale/fr/LC_MESSAGES/tcsh.cat
- usr/share/locale/it/LC_MESSAGES/tcsh.cat
- usr/share/locale/ja/LC_MESSAGES/tcsh.cat
- usr/share/locale/pl/LC_MESSAGES/tcsh.cat
- usr/share/locale/ru/LC_MESSAGES/tcsh.cat
- usr/share/locale/ru_UA/LC_MESSAGES/tcsh.cat
- usr/share/man/man1/tcsh.1.bz2
- var/db/pkg/app-shells/tcsh-6.24.14/BDEPEND
- var/db/pkg/app-shells/tcsh-6.24.14/BUILD_TIME
- var/db/pkg/app-shells/tcsh-6.24.14/CATEGORY
- var/db/pkg/app-shells/tcsh-6.24.14/CBUILD
- var/db/pkg/app-shells/tcsh-6.24.14/CFLAGS
- var/db/pkg/app-shells/tcsh-6.24.14/CHOST
- var/db/pkg/app-shells/tcsh-6.24.14/CONTENTS
- var/db/pkg/app-shells/tcsh-6.24.14/COUNTER
- var/db/pkg/app-shells/tcsh-6.24.14/CTARGET
- var/db/pkg/app-shells/tcsh-6.24.14/CXX
- var/db/pkg/app-shells/tcsh-6.24.14/CXXFLAGS
- var/db/pkg/app-shells/tcsh-6.24.14/DEFINED_PHASES
- var/db/pkg/app-shells/tcsh-6.24.14/DEPEND
- var/db/pkg/app-shells/tcsh-6.24.14/DESCRIPTION
- var/db/pkg/app-shells/tcsh-6.24.14/EAPI
- var/db/pkg/app-shells/tcsh-6.24.14/FEATURES
- var/db/pkg/app-shells/tcsh-6.24.14/HOMEPAGE
- var/db/pkg/app-shells/tcsh-6.24.14/INHERITED
- var/db/pkg/app-shells/tcsh-6.24.14/IUSE
- var/db/pkg/app-shells/tcsh-6.24.14/IUSE_EFFECTIVE
- var/db/pkg/app-shells/tcsh-6.24.14/KEYWORDS
- var/db/pkg/app-shells/tcsh-6.24.14/LDFLAGS
- var/db/pkg/app-shells/tcsh-6.24.14/LICENSE
- var/db/pkg/app-shells/tcsh-6.24.14/NEEDED
- var/db/pkg/app-shells/tcsh-6.24.14/NEEDED.ELF.2
- var/db/pkg/app-shells/tcsh-6.24.14/PF
- var/db/pkg/app-shells/tcsh-6.24.14/RDEPEND
- var/db/pkg/app-shells/tcsh-6.24.14/REQUIRES
- var/db/pkg/app-shells/tcsh-6.24.14/RESTRICT
- var/db/pkg/app-shells/tcsh-6.24.14/SIZE
- var/db/pkg/app-shells/tcsh-6.24.14/SLOT
- var/db/pkg/app-shells/tcsh-6.24.14/USE
- var/db/pkg/app-shells/tcsh-6.24.14/environment.bz2
- var/db/pkg/app-shells/tcsh-6.24.14/repository
- var/db/pkg/app-shells/tcsh-6.24.14/tcsh-6.24.14.ebuild
package_cacheimage: ""
runtime:
  name: tcsh
  version: 6.24.14
  category: app-shells
  use_flags:
  - -doc
  requires:
  - name: libxcrypt
    version: '>=0'
    category: sys-libs
  - name: ncurses
    version: '>=0'
    category: sys-libs
  - name: libiconv
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Enhanced version of the Berkeley C shell (csh)
  uri:
  - https://www.tcsh.org/
  license: BSD
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    DEPEND: '>=sys-libs/ncurses-5.1:0= sys-libs/libxcrypt virtual/libiconv sys-devel/gettext
      doc? ( dev-lang/perl )'
    IUSE: nls doc
    RDEPEND: '>=sys-libs/ncurses-5.1:0= sys-libs/libxcrypt virtual/libiconv'
    emerge.packages: app-shells/tcsh
    kit: core-kit
    original.package.name: app-shells/tcsh
    original.package.slot: "0"
    original.package.version: 6.24.14
